﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <!-- Strings -->
  <xsl:template name="ApplicationSpecific_Title">Important information</xsl:template>
  <xsl:template name="ApplicationSpecific_Header">Please observe the following information concerning the applications you are using at the moment.</xsl:template>
  <xsl:template name="ApplicationSpecificWarning_Title">Important information in advance</xsl:template>
  <xsl:template name="ApplicationSpecificWarning_Header">Please observe the following information concerning the applications you are using at the moment.</xsl:template>
  <xsl:template name="General_Title">Important information</xsl:template>
  <xsl:template name="General_Header">Please observe the following information.</xsl:template>
  <xsl:template name="GeneralWarning_Title">Important information in advance</xsl:template>
  <xsl:template name="GeneralWarning_Header">Please observe the following information.</xsl:template>
  <xsl:template name="Common_Caption_Reason">Reason:</xsl:template>
  <xsl:template name="Common_Caption_Note">Note:</xsl:template>
  <xsl:template name="Common_Caption_Applications">Affected applications:</xsl:template>
  <xsl:template name="Common_Period_Caption">Period:</xsl:template>
  <xsl:template name="Common_Period_Caption_StartTimeOnly">Start:</xsl:template>
  <xsl:template name="Common_Period_Caption_EndTimeOnly">End:</xsl:template>
  <xsl:template name="Common_Update_Title">Current status</xsl:template>
  <xsl:template name="Common_Update_Info">This is the current status of the message.</xsl:template>
  <xsl:template name="Common_Resolve_Title">Resolved</xsl:template>
  <xsl:template name="Common_Resolve_Info">This message has been marked as "Resolved".</xsl:template>

  <!-- Styles -->
  <xsl:template name="StyleBody">font-family: Arial; font-size: 20pt; color: #000000;</xsl:template>
  <xsl:template name="StyleHeaderTable">width:100%;padding-top:20pt;padding-bottom:10pt;</xsl:template>
  <xsl:template name="StyleHeaderTableWarning">width:100%;padding-top:20pt;padding-bottom:10pt;</xsl:template>
  <xsl:template name="StyleHeaderTitleNormal">color: #003399; font-size: 20pt;font-family: Arial;</xsl:template>
  <xsl:template name="StyleHeaderTitleWarning">color: #FF800D; font-size: 20pt;font-family: Arial;</xsl:template>
  <xsl:template name="StyleHeaderTitleUpdate">color: #FF9E48; font-size: 20pt;font-family: Arial;</xsl:template>
  <xsl:template name="StyleHeaderTitleResolve">color: #00A460; font-size: 20pt;font-family: Arial;</xsl:template>
  <xsl:template name="StyleHeaderDescription">font-size: 10pt;font-family: Arial;color: #000000;</xsl:template>
  <xsl:template name="StyleHeaderDescriptionTop">font-size: 10pt;font-family: Arial;color: #A49E9E;</xsl:template>
  <xsl:template name="StyleHeaderInfo">font-size: 10pt;font-family: Arial;color: #000000;margin-top:12px;</xsl:template>
  <xsl:template name="StyleRemarkContentTable">width:100%;</xsl:template>
  <xsl:template name="StyleRemarkContentCaption">font-family: Arial;font-size: 10pt; font-weight: bold; padding-bottom: 2pt;color: #000000;</xsl:template>
  <xsl:template name="StyleRemarkContentText">font-family: Arial;font-size: 12pt;color: #000000;</xsl:template>
  <xsl:template name="StyleRemarkContentFirstRowTable">border-collapse: collapse; width: 100%;</xsl:template>
  <xsl:template name="StyleRemarkContentFirstRowTableRow">vertical-align: top;</xsl:template>
  <xsl:template name="StyleRemarkContentFirstRowTableThreeColumns">width: 33%;</xsl:template>
  <xsl:template name="StyleRemarkContentFirstRowTableTwoColumns">width: 50%;</xsl:template>
  <xsl:template name="StyleRemarkContentFirstRowTableOneColumn">width: 100%;</xsl:template>
  <xsl:template name="StyleFooter">font-family: Arial;font-size: 9pt; padding-top: 5pt; padding-bottom: 5pt; color: #aaaaaa; text-align: center;line-height:12pt;</xsl:template>
  <xsl:template name="StyleFooterAnchor">color: #aaaaaa; text-decoration: none; font-style: italic;</xsl:template>
  <xsl:template name="StyleFooterApplication">padding-left: 5pt; padding-right: 5pt;</xsl:template>
  <xsl:template name="StyleFooterCopyright">padding-left: 5pt; padding-right: 5pt;</xsl:template>
  <xsl:template name="StyleFooterRegisteredName">padding-left: 5pt; padding-right: 5pt;</xsl:template>
  <xsl:template name="StyleFooterTableColumn">padding-top:5pt; padding-bottom: 20pt;</xsl:template>
  <xsl:template name="StyleVerticalPadding">height:20pt;</xsl:template>

  <!-- Horizontales Padding -->
  <xsl:template name="WidthHorizontalPadding">20</xsl:template>

  <xsl:template name="HeadAndStyles">
    <head>
      <meta content="text/html;charset=UTF-8" http-equiv="Content-Type"/>
      <title>IBI-aws</title>
    </head>
  </xsl:template>

  <xsl:template name="AttributesFrameOuterTable">
    <xsl:attribute name="bgColor">#f3f3f3</xsl:attribute>
    <xsl:attribute name="width">100%</xsl:attribute>
    <xsl:attribute name="align">center</xsl:attribute>
    <xsl:attribute name="cellSpacing">0</xsl:attribute>
    <xsl:attribute name="cellPadding">0</xsl:attribute>
    <xsl:attribute name="border">0</xsl:attribute>
  </xsl:template>

  <xsl:template name="AttributesFrameOuterTableColumn">
    <xsl:attribute name="width">100%</xsl:attribute>
    <xsl:attribute name="style">background-color:rgb(243, 243, 243);padding-top:20pt;padding-right:20pt;padding-left:20pt;</xsl:attribute>
    <xsl:attribute name="bgColor">#f3f3f3</xsl:attribute>
  </xsl:template>

  <xsl:template name="AttributesFrameInnerTable">
    <xsl:attribute name="width">100%</xsl:attribute>
    <xsl:attribute name="align">center</xsl:attribute>
    <xsl:attribute name="bgColor">#ffffff</xsl:attribute>
    <xsl:attribute name="border">0</xsl:attribute>
    <xsl:attribute name="cellSpacing">0</xsl:attribute>
    <xsl:attribute name="cellPadding">0</xsl:attribute>
    <xsl:attribute name="style">border: 1pt solid #cccccc;</xsl:attribute>
  </xsl:template>

  <xsl:template name="AttributesFrameInnerTableColumn">
    <xsl:attribute name="width">100%</xsl:attribute>
    <xsl:attribute name="style">background-color: rgb(255, 255, 255);</xsl:attribute>
    <xsl:attribute name="bgColor">#ffffff</xsl:attribute>
  </xsl:template>

  <xsl:template name="AttributesHeaderColumn">
    <xsl:attribute name="width">100%</xsl:attribute>
    <xsl:attribute name="style">padding-right:20pt;padding-left:20pt;</xsl:attribute>
  </xsl:template>

  <xsl:template name="AttributesContentColumn">
    <xsl:attribute name="width">100%</xsl:attribute>
    <xsl:attribute name="style">padding-right:20pt;padding-left:20pt;</xsl:attribute>
  </xsl:template>

  <xsl:template name="Footer">
    <div>

      <xsl:attribute name="style">
        <xsl:call-template name="StyleFooter" />
      </xsl:attribute>

      <span>

        <xsl:attribute name="style">
          <xsl:call-template name="StyleFooterApplication" />
        </xsl:attribute>

        <a href="http://www.ibi-aws.net" target="_blank">
          <xsl:attribute name="style">
            <xsl:call-template name="StyleFooterAnchor" />
          </xsl:attribute>
          IBI-aws Admin
        </a>
        <xsl:value-of select="appVersion" />
      </span>
      -
      <span>
        <xsl:attribute name="style">
          <xsl:call-template name="StyleFooterCopyright" />
        </xsl:attribute>

        ©
        <a href="http://www.ibitech.com" target="_blank">
          <xsl:attribute name="style">
            <xsl:call-template name="StyleFooterAnchor" />
          </xsl:attribute>

          IBITECH AG
        </a>
      </span>
      <br />
      <span>

        <xsl:attribute name="style">
          <xsl:call-template name="StyleFooterRegisteredName" />
        </xsl:attribute>

        <xsl:value-of select="registeredName" />
      </span>
    </div>
    <input>
      <xsl:attribute name="type">hidden</xsl:attribute>
      <xsl:attribute name="name">language</xsl:attribute>
      <xsl:attribute name="value">default</xsl:attribute>
    </input>
  </xsl:template>

  <xsl:template match="General">

    <!-- Allgemeiner Hinweis -->

    <html>

      <xsl:call-template name="HeadAndStyles"/>

      <body>

        <xsl:attribute name="style">
          <xsl:call-template name="StyleBody" />
        </xsl:attribute>

        <table>

          <xsl:call-template name="AttributesFrameOuterTable" />

          <tr>
            <td>

              <xsl:call-template name="AttributesFrameOuterTableColumn" />

              <table>

                <xsl:call-template name="AttributesFrameInnerTable" />

                <tr>
                  <td>

                    <xsl:call-template name="AttributesFrameInnerTableColumn" />

                    <!-- Header -->
                    <table>

                      <xsl:attribute name="style">
                        <xsl:call-template name="StyleHeaderTable" />
                      </xsl:attribute>

                      <tbody>
                        <tr>
                          <td>
                            <xsl:call-template name="AttributesHeaderColumn" />

                            <!-- Header - Title -->
                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleHeaderTitleNormal" />
                              </xsl:attribute>

                              <xsl:call-template name="General_Title" />

                            </div>

                            <!-- Header - Description -->
                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleHeaderDescription" />
                              </xsl:attribute>

                              <xsl:call-template name="General_Header" />

                            </div>

                          </td>
                        </tr>
                      </tbody>
                    </table>

                    <!-- Inhalt -->
                    <table>

                      <xsl:attribute name="style">
                        <xsl:call-template name="StyleRemarkContentTable" />
                      </xsl:attribute>

                      <tbody>

                        <tr>
                          <td>

                            <xsl:call-template name="AttributesContentColumn" />

                            <div>

                              <table>

                                <xsl:attribute name="style">
                                  <xsl:call-template name="StyleRemarkContentFirstRowTable" />
                                </xsl:attribute>

                                <tbody>
                                  <tr>

                                    <xsl:attribute name="style">
                                      <xsl:call-template name="StyleRemarkContentFirstRowTableRow" />
                                    </xsl:attribute>

                                    <xsl:choose>
                                      <xsl:when test="remark/start or remark/end">

                                        <td>

                                          <xsl:attribute name="style">
                                            <xsl:call-template name="StyleRemarkContentFirstRowTableTwoColumns" />
                                          </xsl:attribute>

                                          <!-- Grund -->
                                          <div>

                                            <xsl:attribute name="style">
                                              <xsl:call-template name="StyleRemarkContentCaption" />
                                            </xsl:attribute>

                                            <xsl:call-template name="Common_Caption_Reason" />
                                          </div>
                                          <div>

                                            <xsl:attribute name="style">
                                              <xsl:call-template name="StyleRemarkContentText" />
                                            </xsl:attribute>

                                            <xsl:attribute name="data-accessibility-id">remarkReason</xsl:attribute>

                                            <xsl:value-of select="remark/reason" disable-output-escaping="yes" />
                                          </div>
                                        </td>

                                        <td>

                                          <xsl:attribute name="style">
                                            <xsl:call-template name="StyleRemarkContentFirstRowTableTwoColumns" />
                                          </xsl:attribute>

                                          <!-- Zeitraum -->

                                          <xsl:choose>
                                            <xsl:when test="remark/start and remark/end">
                                              <div>

                                                <xsl:attribute name="style">
                                                  <xsl:call-template name="StyleRemarkContentCaption" />
                                                </xsl:attribute>

                                                <xsl:call-template name="Common_Period_Caption" />
                                              </div>
                                              <div>

                                                <xsl:attribute name="style">
                                                  <xsl:call-template name="StyleRemarkContentText" />
                                                </xsl:attribute>

                                                <xsl:value-of select="remark/start" />
                                                - <br/>
                                                <xsl:value-of select="remark/end" />
                                              </div>
                                            </xsl:when>
                                            <xsl:when test="remark/start">
                                              <div>

                                                <xsl:attribute name="style">
                                                  <xsl:call-template name="StyleRemarkContentCaption" />
                                                </xsl:attribute>

                                                <xsl:call-template name="Common_Period_Caption_StartTimeOnly" />
                                              </div>
                                              <div>

                                                <xsl:attribute name="style">
                                                  <xsl:call-template name="StyleRemarkContentText" />
                                                </xsl:attribute>

                                                <xsl:value-of select="remark/start" />
                                              </div>
                                            </xsl:when>
                                            <xsl:when test="remark/end">
                                              <div>

                                                <xsl:attribute name="style">
                                                  <xsl:call-template name="StyleRemarkContentCaption" />
                                                </xsl:attribute>

                                                <xsl:call-template name="Common_Period_Caption_EndTimeOnly" />
                                              </div>
                                              <div>

                                                <xsl:attribute name="style">
                                                  <xsl:call-template name="StyleRemarkContentText" />
                                                </xsl:attribute>

                                                <xsl:value-of select="remark/end" />
                                              </div>
                                            </xsl:when>
                                          </xsl:choose>
                                        </td>

                                      </xsl:when>
                                      <xsl:otherwise>
                                        <td>

                                          <xsl:attribute name="style">
                                            <xsl:call-template name="StyleRemarkContentFirstRowTableOneColumn" />
                                          </xsl:attribute>

                                          <!-- Grund -->
                                          <div>

                                            <xsl:attribute name="style">
                                              <xsl:call-template name="StyleRemarkContentCaption" />
                                            </xsl:attribute>

                                            <xsl:call-template name="Common_Caption_Reason" />
                                          </div>
                                          <div>

                                            <xsl:attribute name="style">
                                              <xsl:call-template name="StyleRemarkContentText" />
                                            </xsl:attribute>

                                            <xsl:attribute name="data-accessibility-id">remarkReason</xsl:attribute>

                                            <xsl:value-of select="remark/reason" disable-output-escaping="yes" />
                                          </div>

                                        </td>
                                      </xsl:otherwise>
                                    </xsl:choose>

                                  </tr>
                                </tbody>
                              </table>

                            </div>

                          </td>

                        </tr>
                        <tr>

                          <td>

                            <xsl:call-template name="AttributesContentColumn" />

                            <!-- Anmerkung -->
                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleRemarkContentCaption" />
                              </xsl:attribute>

                              <xsl:call-template name="Common_Caption_Note" />
                            </div>

                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleRemarkContentText" />
                              </xsl:attribute>

                              <xsl:attribute name="data-accessibility-id">remarkMessage</xsl:attribute>

                              <xsl:value-of select="remark/message" disable-output-escaping="yes" />
                            </div>
                          </td>

                        </tr>
                      </tbody>
                    </table>

                    <div>
                      <xsl:attribute name="style">
                        <xsl:call-template name="StyleVerticalPadding" />
                      </xsl:attribute>
                      &#160;
                    </div>

                  </td>
                </tr>
              </table>

            </td>
          </tr>
          <tr>
            <td>
              <xsl:attribute name="style">
                <xsl:call-template name="StyleFooterTableColumn" />
              </xsl:attribute>

              <xsl:call-template name="Footer"/>
            </td>
          </tr>
        </table>

      </body>

    </html>

  </xsl:template>

  <xsl:template match="GeneralWarning">

    <!-- Allgemeiner Hinweis - Vorwarnung -->

    <html>

      <xsl:call-template name="HeadAndStyles"/>

      <body>

        <xsl:attribute name="style">
          <xsl:call-template name="StyleBody" />
        </xsl:attribute>

        <table>

          <xsl:call-template name="AttributesFrameOuterTable" />

          <tr>
            <td>

              <xsl:call-template name="AttributesFrameOuterTableColumn" />

              <table>

                <xsl:call-template name="AttributesFrameInnerTable" />

                <tr>
                  <td>

                    <xsl:call-template name="AttributesFrameInnerTableColumn" />

                    <!-- Header -->
                    <table>

                      <xsl:attribute name="style">
                        <xsl:call-template name="StyleHeaderTableWarning" />
                      </xsl:attribute>

                      <tbody>
                        <tr>
                          <td>
                            <xsl:call-template name="AttributesHeaderColumn" />

                            <!-- Header - Title -->
                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleHeaderTitleWarning" />
                              </xsl:attribute>

                              <xsl:call-template name="GeneralWarning_Title" />

                            </div>

                            <!-- Header - Description -->
                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleHeaderDescription" />
                              </xsl:attribute>

                              <xsl:call-template name="GeneralWarning_Header" />

                            </div>

                          </td>
                        </tr>
                      </tbody>
                    </table>

                    <!-- Inhalt -->
                    <table>

                      <xsl:attribute name="style">
                        <xsl:call-template name="StyleRemarkContentTable" />
                      </xsl:attribute>

                      <tbody>

                        <tr>
                          <td>

                            <xsl:call-template name="AttributesContentColumn" />

                            <div>

                              <table>

                                <xsl:attribute name="style">
                                  <xsl:call-template name="StyleRemarkContentFirstRowTable" />
                                </xsl:attribute>

                                <tbody>
                                  <tr>

                                    <xsl:attribute name="style">
                                      <xsl:call-template name="StyleRemarkContentFirstRowTableRow" />
                                    </xsl:attribute>

                                    <xsl:choose>
                                      <xsl:when test="remark/start or remark/end">

                                        <td>

                                          <xsl:attribute name="style">
                                            <xsl:call-template name="StyleRemarkContentFirstRowTableTwoColumns" />
                                          </xsl:attribute>

                                          <!-- Grund -->
                                          <div>

                                            <xsl:attribute name="style">
                                              <xsl:call-template name="StyleRemarkContentCaption" />
                                            </xsl:attribute>

                                            <xsl:call-template name="Common_Caption_Reason" />
                                          </div>
                                          <div>

                                            <xsl:attribute name="style">
                                              <xsl:call-template name="StyleRemarkContentText" />
                                            </xsl:attribute>

                                            <xsl:attribute name="data-accessibility-id">remarkReason</xsl:attribute>

                                            <xsl:value-of select="remark/reason" disable-output-escaping="yes" />
                                          </div>
                                        </td>

                                        <td>

                                          <xsl:attribute name="style">
                                            <xsl:call-template name="StyleRemarkContentFirstRowTableTwoColumns" />
                                          </xsl:attribute>

                                          <!-- Zeitraum -->

                                          <xsl:choose>
                                            <xsl:when test="remark/start and remark/end">
                                              <div>

                                                <xsl:attribute name="style">
                                                  <xsl:call-template name="StyleRemarkContentCaption" />
                                                </xsl:attribute>

                                                <xsl:call-template name="Common_Period_Caption" />
                                              </div>
                                              <div>

                                                <xsl:attribute name="style">
                                                  <xsl:call-template name="StyleRemarkContentText" />
                                                </xsl:attribute>

                                                <xsl:value-of select="remark/start" />
                                                - <br/>
                                                <xsl:value-of select="remark/end" />
                                              </div>
                                            </xsl:when>
                                            <xsl:when test="remark/start">
                                              <div>

                                                <xsl:attribute name="style">
                                                  <xsl:call-template name="StyleRemarkContentCaption" />
                                                </xsl:attribute>

                                                <xsl:call-template name="Common_Period_Caption_StartTimeOnly" />
                                              </div>
                                              <div>

                                                <xsl:attribute name="style">
                                                  <xsl:call-template name="StyleRemarkContentText" />
                                                </xsl:attribute>

                                                <xsl:value-of select="remark/start" />
                                              </div>
                                            </xsl:when>
                                            <xsl:when test="remark/end">
                                              <div>

                                                <xsl:attribute name="style">
                                                  <xsl:call-template name="StyleRemarkContentCaption" />
                                                </xsl:attribute>

                                                <xsl:call-template name="Common_Period_Caption_EndTimeOnly" />
                                              </div>
                                              <div>

                                                <xsl:attribute name="style">
                                                  <xsl:call-template name="StyleRemarkContentText" />
                                                </xsl:attribute>

                                                <xsl:value-of select="remark/end" />
                                              </div>
                                            </xsl:when>
                                          </xsl:choose>
                                        </td>

                                      </xsl:when>
                                      <xsl:otherwise>
                                        <td>

                                          <xsl:attribute name="style">
                                            <xsl:call-template name="StyleRemarkContentFirstRowTableOneColumn" />
                                          </xsl:attribute>

                                          <!-- Grund -->
                                          <div>

                                            <xsl:attribute name="style">
                                              <xsl:call-template name="StyleRemarkContentCaption" />
                                            </xsl:attribute>

                                            <xsl:call-template name="Common_Caption_Reason" />
                                          </div>
                                          <div>

                                            <xsl:attribute name="style">
                                              <xsl:call-template name="StyleRemarkContentText" />
                                            </xsl:attribute>

                                            <xsl:attribute name="data-accessibility-id">remarkReason</xsl:attribute>

                                            <xsl:value-of select="remark/reason" disable-output-escaping="yes" />
                                          </div>

                                        </td>
                                      </xsl:otherwise>
                                    </xsl:choose>

                                  </tr>
                                </tbody>
                              </table>

                            </div>

                          </td>

                        </tr>
                        <tr>

                          <td>

                            <xsl:call-template name="AttributesContentColumn" />

                            <!-- Anmerkung -->
                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleRemarkContentCaption" />
                              </xsl:attribute>

                              <xsl:call-template name="Common_Caption_Note" />
                            </div>

                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleRemarkContentText" />
                              </xsl:attribute>

                              <xsl:attribute name="data-accessibility-id">remarkMessage</xsl:attribute>

                              <xsl:value-of select="remark/message" disable-output-escaping="yes" />
                            </div>
                          </td>

                        </tr>
                      </tbody>
                    </table>

                    <div>
                      <xsl:attribute name="style">
                        <xsl:call-template name="StyleVerticalPadding" />
                      </xsl:attribute>
                      &#160;
                    </div>

                  </td>
                </tr>
              </table>

            </td>
          </tr>
          <tr>
            <td>
              <xsl:attribute name="style">
                <xsl:call-template name="StyleFooterTableColumn" />
              </xsl:attribute>

              <xsl:call-template name="Footer"/>
            </td>
          </tr>
        </table>

      </body>

    </html>

  </xsl:template>

  <xsl:template match="GeneralUpdate">

    <!-- Allgemeiner Hinweis - Statusmeldung -->

    <html>

      <xsl:call-template name="HeadAndStyles"/>

      <body>

        <xsl:attribute name="style">
          <xsl:call-template name="StyleBody" />
        </xsl:attribute>

        <table>

          <xsl:call-template name="AttributesFrameOuterTable" />

          <tr>
            <td>

              <xsl:call-template name="AttributesFrameOuterTableColumn" />

              <table>

                <xsl:call-template name="AttributesFrameInnerTable" />

                <tr>
                  <td>

                    <xsl:call-template name="AttributesFrameInnerTableColumn" />

                    <!-- Header -->
                    <table>

                      <xsl:attribute name="style">
                        <xsl:call-template name="StyleHeaderTable" />
                      </xsl:attribute>

                      <tbody>
                        <tr>
                          <td>
                            <xsl:call-template name="AttributesHeaderColumn" />

                            <!-- Header - Description (Top) -->
                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleHeaderDescriptionTop" />
                              </xsl:attribute>

                              <xsl:attribute name="data-accessibility-id">remarkReason</xsl:attribute>

                              <xsl:value-of select="remark/reason" disable-output-escaping="yes" />

                            </div>

                            <!-- Header - Title -->
                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleHeaderTitleUpdate" />
                              </xsl:attribute>

                              <xsl:call-template name="Common_Update_Title" />

                            </div>

                            <!-- Header - Info -->
                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleHeaderInfo" />
                              </xsl:attribute>

                              <xsl:call-template name="Common_Update_Info" />

                            </div>

                          </td>
                        </tr>
                      </tbody>
                    </table>

                    <!-- Inhalt -->

                    <table>

                      <xsl:attribute name="style">
                        <xsl:call-template name="StyleRemarkContentTable" />
                      </xsl:attribute>

                      <tbody>
                        <tr>
                          <td>

                            <xsl:call-template name="AttributesContentColumn" />


                            <!-- Nachricht -->

                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleRemarkContentText" />
                              </xsl:attribute>

                              <xsl:attribute name="data-accessibility-id">remarkMessage</xsl:attribute>

                              <xsl:value-of select="remark/message" disable-output-escaping="yes" />
                            </div>

                          </td>
                        </tr>

                      </tbody>
                    </table>

                    <div>
                      <xsl:attribute name="style">
                        <xsl:call-template name="StyleVerticalPadding" />
                      </xsl:attribute>
                      &#160;
                    </div>

                  </td>
                </tr>
              </table>

            </td>
          </tr>
          <tr>
            <td>
              <xsl:attribute name="style">
                <xsl:call-template name="StyleFooterTableColumn" />
              </xsl:attribute>

              <xsl:call-template name="Footer"/>
            </td>
          </tr>
        </table>

      </body>

    </html>

  </xsl:template>

  <xsl:template match="GeneralResolve">

    <!-- Allgemeiner Hinweis - Abschlussmeldung -->

    <html>

      <xsl:call-template name="HeadAndStyles"/>

      <body>

        <xsl:attribute name="style">
          <xsl:call-template name="StyleBody" />
        </xsl:attribute>

        <table>

          <xsl:call-template name="AttributesFrameOuterTable" />

          <tr>
            <td>

              <xsl:call-template name="AttributesFrameOuterTableColumn" />

              <table>

                <xsl:call-template name="AttributesFrameInnerTable" />

                <tr>
                  <td>

                    <xsl:call-template name="AttributesFrameInnerTableColumn" />

                    <!-- Header -->
                    <table>

                      <xsl:attribute name="style">
                        <xsl:call-template name="StyleHeaderTable" />
                      </xsl:attribute>

                      <tbody>
                        <tr>
                          <td>
                            <xsl:call-template name="AttributesHeaderColumn" />

                            <!-- Header - Description (Top) -->
                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleHeaderDescriptionTop" />
                              </xsl:attribute>

                              <xsl:attribute name="data-accessibility-id">remarkReason</xsl:attribute>

                              <xsl:value-of select="remark/reason" disable-output-escaping="yes" />

                            </div>

                            <!-- Header - Title -->
                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleHeaderTitleResolve" />
                              </xsl:attribute>

                              <xsl:call-template name="Common_Resolve_Title" />

                            </div>

                            <!-- Header - Info -->
                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleHeaderInfo" />
                              </xsl:attribute>

                              <xsl:call-template name="Common_Resolve_Info" />

                            </div>

                          </td>
                        </tr>
                      </tbody>
                    </table>

                    <!-- Inhalt -->

                    <table>

                      <xsl:attribute name="style">
                        <xsl:call-template name="StyleRemarkContentTable" />
                      </xsl:attribute>

                      <tbody>
                        <tr>
                          <td>

                            <xsl:call-template name="AttributesContentColumn" />


                            <!-- Nachricht -->

                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleRemarkContentText" />
                              </xsl:attribute>

                              <xsl:attribute name="data-accessibility-id">remarkMessage</xsl:attribute>

                              <xsl:value-of select="remark/message" disable-output-escaping="yes" />
                            </div>

                          </td>
                        </tr>

                      </tbody>
                    </table>

                    <div>
                      <xsl:attribute name="style">
                        <xsl:call-template name="StyleVerticalPadding" />
                      </xsl:attribute>
                      &#160;
                    </div>

                  </td>
                </tr>
              </table>

            </td>
          </tr>
          <tr>
            <td>
              <xsl:attribute name="style">
                <xsl:call-template name="StyleFooterTableColumn" />
              </xsl:attribute>

              <xsl:call-template name="Footer"/>
            </td>
          </tr>
        </table>

      </body>

    </html>

  </xsl:template>

  <xsl:template match="ApplicationSpecific">

    <!-- Anwendungsspezifischer Hinweis -->

    <html>

      <xsl:call-template name="HeadAndStyles"/>

      <body>

        <xsl:attribute name="style">
          <xsl:call-template name="StyleBody" />
        </xsl:attribute>

        <table>

          <xsl:call-template name="AttributesFrameOuterTable" />

          <tr>
            <td>

              <xsl:call-template name="AttributesFrameOuterTableColumn" />

              <table>

                <xsl:call-template name="AttributesFrameInnerTable" />

                <tr>
                  <td>

                    <xsl:call-template name="AttributesFrameInnerTableColumn" />

                    <!-- Header -->
                    <table>

                      <xsl:attribute name="style">
                        <xsl:call-template name="StyleHeaderTable" />
                      </xsl:attribute>

                      <tbody>
                        <tr>
                          <td>

                            <xsl:call-template name="AttributesHeaderColumn" />

                            <!-- Header - Title -->
                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleHeaderTitleNormal" />
                              </xsl:attribute>

                              <xsl:call-template name="ApplicationSpecific_Title" />

                            </div>

                            <!-- Header - Description -->
                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleHeaderDescription" />
                              </xsl:attribute>

                              <xsl:call-template name="ApplicationSpecific_Header" />

                            </div>

                          </td>
                        </tr>
                      </tbody>
                    </table>

                    <!-- Inhalt -->
                    <table>

                      <xsl:attribute name="style">
                        <xsl:call-template name="StyleRemarkContentTable" />
                      </xsl:attribute>

                      <tbody>

                        <tr>
                          <td>

                            <xsl:call-template name="AttributesContentColumn" />

                            <table>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleRemarkContentFirstRowTable" />
                              </xsl:attribute>

                              <tbody>
                                <tr>

                                  <xsl:attribute name="style">
                                    <xsl:call-template name="StyleRemarkContentFirstRowTableRow" />
                                  </xsl:attribute>

                                  <xsl:choose>
                                    <xsl:when test="remark/start or remark/end">

                                      <td>

                                        <xsl:attribute name="style">
                                          <xsl:call-template name="StyleRemarkContentFirstRowTableThreeColumns" />
                                        </xsl:attribute>

                                        <!-- Grund -->
                                        <div>

                                          <xsl:attribute name="style">
                                            <xsl:call-template name="StyleRemarkContentCaption" />
                                          </xsl:attribute>

                                          <xsl:call-template name="Common_Caption_Reason" />
                                        </div>
                                        <div>

                                          <xsl:attribute name="style">
                                            <xsl:call-template name="StyleRemarkContentText" />
                                          </xsl:attribute>

                                          <xsl:attribute name="data-accessibility-id">remarkReason</xsl:attribute>

                                          <xsl:value-of select="remark/reason" disable-output-escaping="yes" />
                                        </div>

                                      </td>
                                      <td>

                                        <xsl:attribute name="style">
                                          <xsl:call-template name="StyleRemarkContentFirstRowTableThreeColumns" />
                                        </xsl:attribute>

                                        <!-- Zeitraum -->

                                        <xsl:choose>
                                          <xsl:when test="remark/start and remark/end">
                                            <div>

                                              <xsl:attribute name="style">
                                                <xsl:call-template name="StyleRemarkContentCaption" />
                                              </xsl:attribute>

                                              <xsl:call-template name="Common_Period_Caption" />
                                            </div>
                                            <div>

                                              <xsl:attribute name="style">
                                                <xsl:call-template name="StyleRemarkContentText" />
                                              </xsl:attribute>

                                              <xsl:value-of select="remark/start" />
                                              - <br/>
                                              <xsl:value-of select="remark/end" />
                                            </div>
                                          </xsl:when>
                                          <xsl:when test="remark/start">
                                            <div>

                                              <xsl:attribute name="style">
                                                <xsl:call-template name="StyleRemarkContentCaption" />
                                              </xsl:attribute>

                                              <xsl:call-template name="Common_Period_Caption_StartTimeOnly" />
                                            </div>
                                            <div>

                                              <xsl:attribute name="style">
                                                <xsl:call-template name="StyleRemarkContentText" />
                                              </xsl:attribute>

                                              <xsl:value-of select="remark/start" />
                                            </div>
                                          </xsl:when>
                                          <xsl:when test="remark/end">
                                            <div>

                                              <xsl:attribute name="style">
                                                <xsl:call-template name="StyleRemarkContentCaption" />
                                              </xsl:attribute>

                                              <xsl:call-template name="Common_Period_Caption_EndTimeOnly" />
                                            </div>
                                            <div>

                                              <xsl:attribute name="style">
                                                <xsl:call-template name="StyleRemarkContentText" />
                                              </xsl:attribute>

                                              <xsl:value-of select="remark/end" />
                                            </div>
                                          </xsl:when>
                                        </xsl:choose>

                                      </td>
                                      <td>

                                        <xsl:attribute name="style">
                                          <xsl:call-template name="StyleRemarkContentFirstRowTableThreeColumns" />
                                        </xsl:attribute>

                                        <!-- Anwendungen -->
                                        <div>

                                          <xsl:attribute name="style">
                                            <xsl:call-template name="StyleRemarkContentCaption" />
                                          </xsl:attribute>

                                          <xsl:call-template name="Common_Caption_Applications" />
                                        </div>
                                        <div>

                                          <xsl:attribute name="style">
                                            <xsl:call-template name="StyleRemarkContentText" />
                                          </xsl:attribute>

                                          <xsl:value-of select="remark/applications" />
                                        </div>
                                      </td>

                                    </xsl:when>
                                    <xsl:otherwise>
                                      <td>

                                        <xsl:attribute name="style">
                                          <xsl:call-template name="StyleRemarkContentFirstRowTableTwoColumns" />
                                        </xsl:attribute>

                                        <!-- Grund -->
                                        <div>

                                          <xsl:attribute name="style">
                                            <xsl:call-template name="StyleRemarkContentCaption" />
                                          </xsl:attribute>

                                          <xsl:call-template name="Common_Caption_Reason" />
                                        </div>
                                        <div>

                                          <xsl:attribute name="style">
                                            <xsl:call-template name="StyleRemarkContentText" />
                                          </xsl:attribute>

                                          <xsl:attribute name="data-accessibility-id">remarkReason</xsl:attribute>

                                          <xsl:value-of select="remark/reason" disable-output-escaping="yes" />
                                        </div>

                                      </td>

                                      <td>

                                        <xsl:attribute name="style">
                                          <xsl:call-template name="StyleRemarkContentFirstRowTableTwoColumns" />
                                        </xsl:attribute>

                                        <!-- Anwendungen -->
                                        <div>

                                          <xsl:attribute name="style">
                                            <xsl:call-template name="StyleRemarkContentCaption" />
                                          </xsl:attribute>

                                          <xsl:call-template name="Common_Caption_Applications" />
                                        </div>
                                        <div>

                                          <xsl:attribute name="style">
                                            <xsl:call-template name="StyleRemarkContentText" />
                                          </xsl:attribute>

                                          <xsl:value-of select="remark/applications" />
                                        </div>
                                      </td>
                                    </xsl:otherwise>
                                  </xsl:choose>

                                </tr>
                              </tbody>
                            </table>

                          </td>
                        </tr>
                        <tr>
                          <td>
                            <xsl:call-template name="AttributesContentColumn" />

                            <!-- Anmerkung -->
                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleRemarkContentCaption" />
                              </xsl:attribute>

                              <xsl:call-template name="Common_Caption_Note" />
                            </div>

                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleRemarkContentText" />
                              </xsl:attribute>

                              <xsl:attribute name="data-accessibility-id">remarkMessage</xsl:attribute>

                              <xsl:value-of select="remark/message" disable-output-escaping="yes" />
                            </div>
                          </td>
                        </tr>
                      </tbody>
                    </table>

                    <div>
                      <xsl:attribute name="style">
                        <xsl:call-template name="StyleVerticalPadding" />
                      </xsl:attribute>
                      &#160;
                    </div>

                  </td>
                </tr>
              </table>

            </td>
          </tr>
          <tr>
            <td>
              <xsl:attribute name="style">
                <xsl:call-template name="StyleFooterTableColumn" />
              </xsl:attribute>

              <xsl:call-template name="Footer"/>
            </td>
          </tr>
        </table>

      </body>

    </html>

  </xsl:template>

  <xsl:template match="ApplicationSpecificWarning">

    <!-- Anwendungsspezifischer Hinweis - Vorwarnung -->

    <html>

      <xsl:call-template name="HeadAndStyles"/>

      <body>

        <xsl:attribute name="style">
          <xsl:call-template name="StyleBody" />
        </xsl:attribute>

        <table>

          <xsl:call-template name="AttributesFrameOuterTable" />

          <tr>
            <td>

              <xsl:call-template name="AttributesFrameOuterTableColumn" />

              <table>

                <xsl:call-template name="AttributesFrameInnerTable" />

                <tr>
                  <td>

                    <xsl:call-template name="AttributesFrameInnerTableColumn" />

                    <!-- Header -->
                    <table>

                      <xsl:attribute name="style">
                        <xsl:call-template name="StyleHeaderTableWarning" />
                      </xsl:attribute>

                      <tbody>
                        <tr>
                          <td>

                            <xsl:call-template name="AttributesHeaderColumn" />

                            <!-- Header - Title -->
                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleHeaderTitleWarning" />
                              </xsl:attribute>

                              <xsl:call-template name="ApplicationSpecificWarning_Title" />

                            </div>

                            <!-- Header - Description -->
                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleHeaderDescription" />
                              </xsl:attribute>

                              <xsl:call-template name="ApplicationSpecificWarning_Header" />

                            </div>

                          </td>
                        </tr>
                      </tbody>
                    </table>

                    <!-- Inhalt -->
                    <table>

                      <xsl:attribute name="style">
                        <xsl:call-template name="StyleRemarkContentTable" />
                      </xsl:attribute>

                      <tbody>

                        <tr>
                          <td>

                            <xsl:call-template name="AttributesContentColumn" />

                            <table>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleRemarkContentFirstRowTable" />
                              </xsl:attribute>

                              <tbody>
                                <tr>

                                  <xsl:attribute name="style">
                                    <xsl:call-template name="StyleRemarkContentFirstRowTableRow" />
                                  </xsl:attribute>

                                  <xsl:choose>
                                    <xsl:when test="remark/start or remark/end">

                                      <td>

                                        <xsl:attribute name="style">
                                          <xsl:call-template name="StyleRemarkContentFirstRowTableThreeColumns" />
                                        </xsl:attribute>

                                        <!-- Grund -->
                                        <div>

                                          <xsl:attribute name="style">
                                            <xsl:call-template name="StyleRemarkContentCaption" />
                                          </xsl:attribute>

                                          <xsl:call-template name="Common_Caption_Reason" />
                                        </div>
                                        <div>

                                          <xsl:attribute name="style">
                                            <xsl:call-template name="StyleRemarkContentText" />
                                          </xsl:attribute>

                                          <xsl:attribute name="data-accessibility-id">remarkReason</xsl:attribute>

                                          <xsl:value-of select="remark/reason" disable-output-escaping="yes" />
                                        </div>

                                      </td>
                                      <td>

                                        <xsl:attribute name="style">
                                          <xsl:call-template name="StyleRemarkContentFirstRowTableThreeColumns" />
                                        </xsl:attribute>

                                        <!-- Zeitraum -->

                                        <xsl:choose>
                                          <xsl:when test="remark/start and remark/end">
                                            <div>

                                              <xsl:attribute name="style">
                                                <xsl:call-template name="StyleRemarkContentCaption" />
                                              </xsl:attribute>

                                              <xsl:call-template name="Common_Period_Caption" />
                                            </div>
                                            <div>

                                              <xsl:attribute name="style">
                                                <xsl:call-template name="StyleRemarkContentText" />
                                              </xsl:attribute>

                                              <xsl:value-of select="remark/start" />
                                              - <br/>
                                              <xsl:value-of select="remark/end" />
                                            </div>
                                          </xsl:when>
                                          <xsl:when test="remark/start">
                                            <div>

                                              <xsl:attribute name="style">
                                                <xsl:call-template name="StyleRemarkContentCaption" />
                                              </xsl:attribute>

                                              <xsl:call-template name="Common_Period_Caption_StartTimeOnly" />
                                            </div>
                                            <div>

                                              <xsl:attribute name="style">
                                                <xsl:call-template name="StyleRemarkContentText" />
                                              </xsl:attribute>

                                              <xsl:value-of select="remark/start" />
                                            </div>
                                          </xsl:when>
                                          <xsl:when test="remark/end">
                                            <div>

                                              <xsl:attribute name="style">
                                                <xsl:call-template name="StyleRemarkContentCaption" />
                                              </xsl:attribute>

                                              <xsl:call-template name="Common_Period_Caption_EndTimeOnly" />
                                            </div>
                                            <div>

                                              <xsl:attribute name="style">
                                                <xsl:call-template name="StyleRemarkContentText" />
                                              </xsl:attribute>

                                              <xsl:value-of select="remark/end" />
                                            </div>
                                          </xsl:when>
                                        </xsl:choose>

                                      </td>
                                      <td>

                                        <xsl:attribute name="style">
                                          <xsl:call-template name="StyleRemarkContentFirstRowTableThreeColumns" />
                                        </xsl:attribute>

                                        <!-- Anwendungen -->
                                        <div>

                                          <xsl:attribute name="style">
                                            <xsl:call-template name="StyleRemarkContentCaption" />
                                          </xsl:attribute>

                                          <xsl:call-template name="Common_Caption_Applications" />
                                        </div>
                                        <div>

                                          <xsl:attribute name="style">
                                            <xsl:call-template name="StyleRemarkContentText" />
                                          </xsl:attribute>

                                          <xsl:value-of select="remark/applications" />
                                        </div>
                                      </td>

                                    </xsl:when>
                                    <xsl:otherwise>
                                      <td>

                                        <xsl:attribute name="style">
                                          <xsl:call-template name="StyleRemarkContentFirstRowTableTwoColumns" />
                                        </xsl:attribute>

                                        <!-- Grund -->
                                        <div>

                                          <xsl:attribute name="style">
                                            <xsl:call-template name="StyleRemarkContentCaption" />
                                          </xsl:attribute>

                                          <xsl:call-template name="Common_Caption_Reason" />
                                        </div>
                                        <div>

                                          <xsl:attribute name="style">
                                            <xsl:call-template name="StyleRemarkContentText" />
                                          </xsl:attribute>

                                          <xsl:attribute name="data-accessibility-id">remarkReason</xsl:attribute>

                                          <xsl:value-of select="remark/reason" disable-output-escaping="yes" />
                                        </div>

                                      </td>

                                      <td>

                                        <xsl:attribute name="style">
                                          <xsl:call-template name="StyleRemarkContentFirstRowTableTwoColumns" />
                                        </xsl:attribute>

                                        <!-- Anwendungen -->
                                        <div>

                                          <xsl:attribute name="style">
                                            <xsl:call-template name="StyleRemarkContentCaption" />
                                          </xsl:attribute>

                                          <xsl:call-template name="Common_Caption_Applications" />
                                        </div>
                                        <div>

                                          <xsl:attribute name="style">
                                            <xsl:call-template name="StyleRemarkContentText" />
                                          </xsl:attribute>

                                          <xsl:value-of select="remark/applications" />
                                        </div>
                                      </td>
                                    </xsl:otherwise>
                                  </xsl:choose>

                                </tr>
                              </tbody>
                            </table>

                          </td>
                        </tr>
                        <tr>
                          <td>
                            <xsl:call-template name="AttributesContentColumn" />

                            <!-- Anmerkung -->
                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleRemarkContentCaption" />
                              </xsl:attribute>

                              <xsl:call-template name="Common_Caption_Note" />
                            </div>

                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleRemarkContentText" />
                              </xsl:attribute>

                              <xsl:attribute name="data-accessibility-id">remarkMessage</xsl:attribute>

                              <xsl:value-of select="remark/message" disable-output-escaping="yes" />
                            </div>
                          </td>
                        </tr>
                      </tbody>
                    </table>

                    <div>
                      <xsl:attribute name="style">
                        <xsl:call-template name="StyleVerticalPadding" />
                      </xsl:attribute>
                      &#160;
                    </div>

                  </td>
                </tr>
              </table>

            </td>
          </tr>
          <tr>
            <td>
              <xsl:attribute name="style">
                <xsl:call-template name="StyleFooterTableColumn" />
              </xsl:attribute>

              <xsl:call-template name="Footer"/>
            </td>
          </tr>
        </table>

      </body>

    </html>

  </xsl:template>

  <xsl:template match="ApplicationSpecificUpdate">

    <!-- Anwendungsspezifischer Hinweis - Statusmeldung -->

    <html>

      <xsl:call-template name="HeadAndStyles"/>

      <body>

        <xsl:attribute name="style">
          <xsl:call-template name="StyleBody" />
        </xsl:attribute>

        <table>

          <xsl:call-template name="AttributesFrameOuterTable" />

          <tr>
            <td>

              <xsl:call-template name="AttributesFrameOuterTableColumn" />

              <table>

                <xsl:call-template name="AttributesFrameInnerTable" />

                <tr>
                  <td>

                    <xsl:call-template name="AttributesFrameInnerTableColumn" />

                    <!-- Header -->
                    <table>

                      <xsl:attribute name="style">
                        <xsl:call-template name="StyleHeaderTable" />
                      </xsl:attribute>

                      <tbody>
                        <tr>
                          <td>
                            <xsl:call-template name="AttributesHeaderColumn" />

                            <!-- Header - Description (Top) -->
                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleHeaderDescriptionTop" />
                              </xsl:attribute>

                              <xsl:attribute name="data-accessibility-id">remarkReason</xsl:attribute>

                              <xsl:value-of select="remark/reason" disable-output-escaping="yes" />

                            </div>

                            <!-- Header - Title -->
                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleHeaderTitleUpdate" />
                              </xsl:attribute>

                              <xsl:call-template name="Common_Update_Title" />

                            </div>

                            <!-- Header - Info -->
                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleHeaderInfo" />
                              </xsl:attribute>

                              <xsl:call-template name="Common_Update_Info" />

                            </div>

                          </td>
                        </tr>
                      </tbody>
                    </table>

                    <!-- Inhalt -->

                    <table>

                      <xsl:attribute name="style">
                        <xsl:call-template name="StyleRemarkContentTable" />
                      </xsl:attribute>

                      <tbody>
                        <tr>
                          <td>

                            <xsl:call-template name="AttributesContentColumn" />


                            <!-- Nachricht -->

                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleRemarkContentText" />
                              </xsl:attribute>

                              <xsl:attribute name="data-accessibility-id">remarkMessage</xsl:attribute>

                              <xsl:value-of select="remark/message" disable-output-escaping="yes" />
                            </div>

                          </td>
                        </tr>

                      </tbody>
                    </table>

                    <div>
                      <xsl:attribute name="style">
                        <xsl:call-template name="StyleVerticalPadding" />
                      </xsl:attribute>
                      &#160;
                    </div>

                  </td>
                </tr>
              </table>

            </td>
          </tr>
          <tr>
            <td>
              <xsl:attribute name="style">
                <xsl:call-template name="StyleFooterTableColumn" />
              </xsl:attribute>

              <xsl:call-template name="Footer"/>
            </td>
          </tr>
        </table>

      </body>

    </html>

  </xsl:template>

  <xsl:template match="ApplicationSpecificResolve">

    <!-- Anwendungsspezifischer Hinweis - Abschlussmeldung -->

    <html>

      <xsl:call-template name="HeadAndStyles"/>

      <body>

        <xsl:attribute name="style">
          <xsl:call-template name="StyleBody" />
        </xsl:attribute>

        <table>

          <xsl:call-template name="AttributesFrameOuterTable" />

          <tr>
            <td>

              <xsl:call-template name="AttributesFrameOuterTableColumn" />

              <table>

                <xsl:call-template name="AttributesFrameInnerTable" />

                <tr>
                  <td>

                    <xsl:call-template name="AttributesFrameInnerTableColumn" />

                    <!-- Header -->
                    <table>

                      <xsl:attribute name="style">
                        <xsl:call-template name="StyleHeaderTable" />
                      </xsl:attribute>

                      <tbody>
                        <tr>
                          <td>
                            <xsl:call-template name="AttributesHeaderColumn" />

                            <!-- Header - Description (Top) -->
                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleHeaderDescriptionTop" />
                              </xsl:attribute>

                              <xsl:attribute name="data-accessibility-id">remarkReason</xsl:attribute>

                              <xsl:value-of select="remark/reason" disable-output-escaping="yes" />

                            </div>

                            <!-- Header - Title -->
                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleHeaderTitleResolve" />
                              </xsl:attribute>

                              <xsl:call-template name="Common_Resolve_Title" />

                            </div>

                            <!-- Header - Info -->
                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleHeaderInfo" />
                              </xsl:attribute>

                              <xsl:call-template name="Common_Resolve_Info" />

                            </div>

                          </td>
                        </tr>
                      </tbody>
                    </table>

                    <!-- Inhalt -->

                    <table>

                      <xsl:attribute name="style">
                        <xsl:call-template name="StyleRemarkContentTable" />
                      </xsl:attribute>

                      <tbody>
                        <tr>
                          <td>

                            <xsl:call-template name="AttributesContentColumn" />


                            <!-- Nachricht -->

                            <div>

                              <xsl:attribute name="style">
                                <xsl:call-template name="StyleRemarkContentText" />
                              </xsl:attribute>

                              <xsl:attribute name="data-accessibility-id">remarkMessage</xsl:attribute>

                              <xsl:value-of select="remark/message" disable-output-escaping="yes" />
                            </div>

                          </td>
                        </tr>

                      </tbody>
                    </table>

                    <div>
                      <xsl:attribute name="style">
                        <xsl:call-template name="StyleVerticalPadding" />
                      </xsl:attribute>
                      &#160;
                    </div>

                  </td>
                </tr>
              </table>

            </td>
          </tr>
          <tr>
            <td>
              <xsl:attribute name="style">
                <xsl:call-template name="StyleFooterTableColumn" />
              </xsl:attribute>

              <xsl:call-template name="Footer"/>
            </td>
          </tr>
        </table>

      </body>

    </html>

  </xsl:template>

</xsl:stylesheet>